@use "src/styles/mixins";

.page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-image: image-set(
    url("/src/images/background/background_xs.png") 1x,
    url("/src/images/background/background_xs_x2.png") 2x
  );
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;

  // Overlay
  &::before {
    content: "";
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: var(--background-color-transparent-light);
  }

  @include mixins.for-tablet {
    background-image: image-set(
      url("/src/images/background/background_sm.png") 1x,
      url("/src/images/background/background_sm_x2.png") 2x
    );
  }

  @include mixins.for-desktop {
    background-image: image-set(
      url("/src/images/background/background_md.png") 1x,
      url("/src/images/background/background_md_x2.png") 2x
    );
  }
}

.container {
  max-width: 1270px;
  width: 100%;
}

.main {
  position: relative;
  padding: 22px;
  flex: 1 1 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}
